package com.philisense.www.dao.impl;

import com.philisense.www.dao.ProUserTagsDAO;
import com.philisense.www.mapper.ProUserTagsMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Repository;


import java.util.List;
import java.util.Map;

@Repository
public class ProUserTagsDAOImpl implements ProUserTagsDAO {
        @Autowired
        private ProUserTagsMapper proUserTagsMapper;
        @Override
        public int deleteByPrimaryKey(String id) {
            return proUserTagsMapper.deleteByPrimaryKey(id);
        }

        @Override
        public Map<String, Object> selectByPrimaryKey(String id) {
            return proUserTagsMapper.selectByPrimaryKey(id);
        }

        @Override
        public int insert(Map<String, Object> map) {
            return proUserTagsMapper.insert(map);
        }

        @Override
        public int update(Map<String, Object> map) {
            return proUserTagsMapper.update(map);
        }

        @Override
        public int deleteByMap(Map<String, Object> map) {
            return proUserTagsMapper.deleteByMap(map);
        }

        @Override
        public int updateByMap(Map<String, Object> map) {
            return proUserTagsMapper.updateByMap(map);
        }

        @Override
        public Map<String, Object> getOne(Map<String, Object> map) {
            return proUserTagsMapper.getOne(map);
        }

        @Override
        public List<Map<String, Object>> getAll(Map<String, Object> map) {
            return proUserTagsMapper.getAll(map);
        }

        @Override
        public List<Map<String, Object>> queryPage(Map<String, Object> map) {
            return proUserTagsMapper.queryPage(map);
        }

        @Override
        public int count(Map<String, Object> map) {
            return proUserTagsMapper.count(map);
        }

        @Override
        public void insertBatch(List<Map<String, Object>> list) {
            proUserTagsMapper.insertBatch(list);
        }

        @Override
        public void deleteBatch(List<Map<String, Object>> list) {
            proUserTagsMapper.deleteBatch(list);
        }

        @Override
        public void updateBatch(List<Map<String, Object>> list) {
            proUserTagsMapper.updateBatch(list);
        }
}
